SUSE: 2022:3001-1 important: json-c | LinuxSecurity.com

   SUSE Security Update: Security update for json-c
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3001-1
Rating:             important
References:         #1171479 PED-1778 
Cross-References:   CVE-2020-12762
CVSS scores:
                    CVE-2020-12762 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2020-12762 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise Server 12-SP2-BCL
                    SUSE Linux Enterprise Server 12-SP3-BCL
                    SUSE Linux Enterprise Server 12-SP4-LTSS
                    SUSE Linux Enterprise Server 12-SP5
                    SUSE Linux Enterprise Server for SAP 12-SP4
                    SUSE Linux Enterprise Server for SAP Applications 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
                    SUSE OpenStack Cloud 9
                    SUSE OpenStack Cloud Crowbar 9
______________________________________________________________________________

   An update that fixes one vulnerability, contains one
   feature is now available.

Description:

   This update for json-c fixes the following issues:

   - CVE-2020-12762: Fixed an integer overflow that could lead to memory
     corruption via a large JSON file (bsc#1171479).

   Non-security fixes:

   - Updated to version 0.12.1 (jsc#PED-1778).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud Crowbar 9:

      zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2022-3001=1

   - SUSE OpenStack Cloud 9:

      zypper in -t patch SUSE-OpenStack-Cloud-9-2022-3001=1

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-3001=1

   - SUSE Linux Enterprise Server for SAP 12-SP4:

      zypper in -t patch SUSE-SLE-SAP-12-SP4-2022-3001=1

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-3001=1

   - SUSE Linux Enterprise Server 12-SP4-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2022-3001=1

   - SUSE Linux Enterprise Server 12-SP3-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-3001=1

   - SUSE Linux Enterprise Server 12-SP2-BCL:

      zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-3001=1



Package List:

   - SUSE OpenStack Cloud Crowbar 9 (x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1
      libjson-c2-0.12.1-4.3.1
      libjson-c2-32bit-0.12.1-4.3.1
      libjson-c2-debuginfo-0.12.1-4.3.1
      libjson-c2-debuginfo-32bit-0.12.1-4.3.1

   - SUSE OpenStack Cloud 9 (x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1
      libjson-c2-0.12.1-4.3.1
      libjson-c2-32bit-0.12.1-4.3.1
      libjson-c2-debuginfo-0.12.1-4.3.1
      libjson-c2-debuginfo-32bit-0.12.1-4.3.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1

   - SUSE Linux Enterprise Server for SAP 12-SP4 (ppc64le x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1
      libjson-c2-0.12.1-4.3.1
      libjson-c2-debuginfo-0.12.1-4.3.1

   - SUSE Linux Enterprise Server for SAP 12-SP4 (x86_64):

      libjson-c2-32bit-0.12.1-4.3.1
      libjson-c2-debuginfo-32bit-0.12.1-4.3.1

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1
      libjson-c2-0.12.1-4.3.1
      libjson-c2-debuginfo-0.12.1-4.3.1

   - SUSE Linux Enterprise Server 12-SP5 (s390x x86_64):

      libjson-c2-32bit-0.12.1-4.3.1
      libjson-c2-debuginfo-32bit-0.12.1-4.3.1

   - SUSE Linux Enterprise Server 12-SP4-LTSS (aarch64 ppc64le s390x x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1
      libjson-c2-0.12.1-4.3.1
      libjson-c2-debuginfo-0.12.1-4.3.1

   - SUSE Linux Enterprise Server 12-SP4-LTSS (s390x x86_64):

      libjson-c2-32bit-0.12.1-4.3.1
      libjson-c2-debuginfo-32bit-0.12.1-4.3.1

   - SUSE Linux Enterprise Server 12-SP3-BCL (x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1
      libjson-c2-0.12.1-4.3.1
      libjson-c2-32bit-0.12.1-4.3.1
      libjson-c2-debuginfo-0.12.1-4.3.1
      libjson-c2-debuginfo-32bit-0.12.1-4.3.1

   - SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):

      json-c-debugsource-0.12.1-4.3.1
      libjson-c-devel-0.12.1-4.3.1
      libjson-c2-0.12.1-4.3.1
      libjson-c2-32bit-0.12.1-4.3.1
      libjson-c2-debuginfo-0.12.1-4.3.1
      libjson-c2-debuginfo-32bit-0.12.1-4.3.1


References:

   https://www.suse.com/security/cve/CVE-2020-12762.html
   https://bugzilla.suse.com/1171479

SUSE: 2022:3001-1 important: json-c

September 2, 2022
An update that fixes one vulnerability, contains one feature is now available

Summary

This update for json-c fixes the following issues: - CVE-2020-12762: Fixed an integer overflow that could lead to memory corruption via a large JSON file (bsc#1171479). Non-security fixes: - Updated to version 0.12.1 (jsc#PED-1778). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE OpenStack Cloud Crowbar 9: zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2022-3001=1 - SUSE OpenStack Cloud 9: zypper in -t patch SUSE-OpenStack-Cloud-9-2022-3001=1 - SUSE Linux Enterprise Software Development Kit 12-SP5: zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-3001=1 - SUSE Linux Enterprise Server for SAP 12-SP4: zypper in -t patch SUSE-SLE-SAP-12-SP4-2022-3001=1 - SUSE Linux Enterprise Server 12-SP5: zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-3001=1 - SUSE Linux Enterprise Server 12-SP4-LTSS: zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2022-3001=1 - SUSE Linux Enterprise Server 12-SP3-BCL: zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2022-3001=1 - SUSE Linux Enterprise Server 12-SP2-BCL: zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2022-3001=1 Package List: - SUSE OpenStack Cloud Crowbar 9 (x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 libjson-c2-0.12.1-4.3.1 libjson-c2-32bit-0.12.1-4.3.1 libjson-c2-debuginfo-0.12.1-4.3.1 libjson-c2-debuginfo-32bit-0.12.1-4.3.1 - SUSE OpenStack Cloud 9 (x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 libjson-c2-0.12.1-4.3.1 libjson-c2-32bit-0.12.1-4.3.1 libjson-c2-debuginfo-0.12.1-4.3.1 libjson-c2-debuginfo-32bit-0.12.1-4.3.1 - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 - SUSE Linux Enterprise Server for SAP 12-SP4 (ppc64le x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 libjson-c2-0.12.1-4.3.1 libjson-c2-debuginfo-0.12.1-4.3.1 - SUSE Linux Enterprise Server for SAP 12-SP4 (x86_64): libjson-c2-32bit-0.12.1-4.3.1 libjson-c2-debuginfo-32bit-0.12.1-4.3.1 - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 libjson-c2-0.12.1-4.3.1 libjson-c2-debuginfo-0.12.1-4.3.1 - SUSE Linux Enterprise Server 12-SP5 (s390x x86_64): libjson-c2-32bit-0.12.1-4.3.1 libjson-c2-debuginfo-32bit-0.12.1-4.3.1 - SUSE Linux Enterprise Server 12-SP4-LTSS (aarch64 ppc64le s390x x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 libjson-c2-0.12.1-4.3.1 libjson-c2-debuginfo-0.12.1-4.3.1 - SUSE Linux Enterprise Server 12-SP4-LTSS (s390x x86_64): libjson-c2-32bit-0.12.1-4.3.1 libjson-c2-debuginfo-32bit-0.12.1-4.3.1 - SUSE Linux Enterprise Server 12-SP3-BCL (x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 libjson-c2-0.12.1-4.3.1 libjson-c2-32bit-0.12.1-4.3.1 libjson-c2-debuginfo-0.12.1-4.3.1 libjson-c2-debuginfo-32bit-0.12.1-4.3.1 - SUSE Linux Enterprise Server 12-SP2-BCL (x86_64): json-c-debugsource-0.12.1-4.3.1 libjson-c-devel-0.12.1-4.3.1 libjson-c2-0.12.1-4.3.1 libjson-c2-32bit-0.12.1-4.3.1 libjson-c2-debuginfo-0.12.1-4.3.1 libjson-c2-debuginfo-32bit-0.12.1-4.3.1

References

#1171479 PED-1778

Cross- CVE-2020-12762

CVSS scores:

CVE-2020-12762 (NVD) : 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2020-12762 (SUSE): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise Server 12-SP2-BCL

SUSE Linux Enterprise Server 12-SP3-BCL

SUSE Linux Enterprise Server 12-SP4-LTSS

SUSE Linux Enterprise Server 12-SP5

SUSE Linux Enterprise Server for SAP 12-SP4

SUSE Linux Enterprise Server for SAP Applications 12-SP5

SUSE Linux Enterprise Software Development Kit 12-SP5

SUSE OpenStack Cloud 9

SUSE OpenStack Cloud Crowbar 9

https://www.suse.com/security/cve/CVE-2020-12762.html

https://bugzilla.suse.com/1171479

Severity
Announcement ID: SUSE-SU-2022:3001-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.